import React, { Component } from "react";
import style from "./index.less";

class PatInfo extends Component {
  constructor(props){
    super(props)
  }
  componentWillMount() {
    const { getMessage } = this.props;
    getMessage && getMessage()
  }

  render(){
    const {message} = this.props.patInfo;
     return <table className={style["table"]}>
      <tr>
        <td key='1' className={`${style.tdBorderB} ${style.tdBorderR}`} title={'卡号:' + (message.patientIdNo||'')}>卡号：{message.patientIdNo}</td>
        <td key='2' className={`${style.tdBorderB} ${style.tdBorderR}`} title={'姓名:' + (message.patientName||'')}>姓名：{message.patientName}</td>
        <td key='3' className={`${style.tdBorderB} ${style.tdBorderR}`} title={'年龄：'+(message.patientAge||'')}>年龄：{message.patientAge}</td>
        <td key='4' className={`${style.tdBorderB} ${style.tdBorderR}`} title={'性别：'+(message.patientSex||'')}>性别：{message.patientSex}</td>
      </tr>
      <tr>
        <td key='5' className={`${style.tdBorderR}`} style={{whiteSpace: 'nowrap'}} title={'就诊时间：'+(message.systemTime&&message.systemTime.substring(0, 10)||'')}>就诊时间：{message.systemTime&&message.systemTime.substring(0, 10)}</td>
        <td key='6' className={`${style.tdBorderR}`} title={'科室：'+(message.hospitalDeptName||'')}>科室：{message.hospitalDeptName}</td>
        <td key='7' className={`${style.tdBorderR}`} title={'医生：'+(message.doctorName||'')}>医生：{message.doctorName}</td>
        <td key='8' className={`${style.tdBorderR}`} title={'门诊号：'+(message.recordId||'')}>门诊号：{message.recordId}</td>
      </tr>
    </table>;
  }
}

export default PatInfo;
